> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses products



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/products
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/products:
    get:
      tags:
        - Products
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          schema:
            type: integer
            format: int32
        - name: sortBy
          in: query
          schema:
            type: string
        - name: sortDirection
          in: query
          schema:
            type: string
        - name: businessId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKDTOCoreSBListOfSBProductResponse
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKDTOCoreSBListOfSBProductResponse
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKDTOCoreSBListOfSBProductResponse
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    SmartbillsSDKDTOCoreSBListOfSBProductResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/BusinessProductsSBProductResponse'
          nullable: true
        pagination:
          $ref: '#/components/schemas/SmartbillsSDKDTOCorePaginationMetadata'
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    BusinessProductsSBProductResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
        slug:
          type: string
          nullable: true
        vendor:
          $ref: '#/components/schemas/BusinessProductsSBProductVendorResponse'
        category:
          type: string
          nullable: true
        htmlDescription:
          type: string
          nullable: true
        images:
          type: array
          items:
            $ref: >-
              #/components/schemas/BusinessProductsProductImagesSBProductImageResponse
          nullable: true
        variants:
          type: array
          items:
            $ref: >-
              #/components/schemas/BusinessProductsProductVariantsSBProductVariantResponse
          nullable: true
        tags:
          type: array
          items:
            type: string
          nullable: true
        url:
          type: string
          nullable: true
        publishedAt:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    SmartbillsSDKDTOCorePaginationMetadata:
      type: object
      properties:
        count:
          type: integer
          format: int32
        pageCount:
          type: integer
          format: int32
        currentPage:
          type: integer
          format: int32
        limit:
          type: integer
          format: int32
      additionalProperties: false
    BusinessProductsSBProductVendorResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
      additionalProperties: false
    BusinessProductsProductImagesSBProductImageResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        name:
          type: string
          nullable: true
        height:
          type: integer
          format: int32
        width:
          type: integer
          format: int32
        productVariantIds:
          type: array
          items:
            type: integer
            format: int64
          nullable: true
        url:
          type: string
          nullable: true
        updatedAt:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
      additionalProperties: false
    BusinessProductsProductVariantsSBProductVariantResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        initialPrice:
          type: number
          format: double
          nullable: true
        price:
          type: number
          format: double
        weightUnit:
          type: string
          nullable: true
        weight:
          type: number
          format: double
        taxable:
          type: boolean
        name:
          type: string
          nullable: true
        sku:
          type: string
          nullable: true
        upc:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
        productId:
          type: integer
          format: int64
      additionalProperties: false

````